Page MenuHomePhabricator

JavaScript is broken on various wikis (after replacing deprecated escapeRE with mw.RegExp)
Closed, ResolvedPublic1 Story Points

Description

Visualeditor is dead on WP/fr since 9h24 (paris)

Loading bar stopped at 75%

https://fr.wikipedia.org/w/index.php?title=Sp%C3%A9cial:Modifications_r%C3%A9centes&limit=500&tagfilter=visualeditor

Report by a contributor
https://fr.wikipedia.org/w/index.php?title=Wikip%C3%A9dia:Questions_techniques&oldid=114665572#Impossible_de_modifier_un_article

Other possible issues:

alex@alex-laptop:~/Development/MediaWiki/extensions/VisualEditor (T103227)$ ssh terbium mwgrep "mw.RegExp"
arwiki              MediaWiki:Gadget-CiteTooltip.js
azwiki              MediaWiki:Gadget-directLinkToCommons.js
cawiki              MediaWiki:Gadget-Direct-link-to-Commons.js
cawiki              MediaWiki:Gadget-bkl-check.js
cewiki              MediaWiki:Gadget-directLinkToCommons.js
dawiki              MediaWiki:Gadget-bkl-check.js
dsbwiki             MediaWiki:Gadget-Direct-link-to-Commons.js
eowiki              MediaWiki:Gadget-Rekta-ligilo-al-Komunejo.js
fawiki              MediaWiki:Gadget-Direct-link-to-Commons.js
fawiki              MediaWiki:Gadget-libGlobalReplace.js
fawiki              MediaWiki:Gadget-libWikiDOM.js
gagwiki             MediaWiki:Gadget-direct-link-to-Commons.js
hewiki              MediaWiki:Gadget-Checkty.js
hewiki              MediaWiki:Gadget-CiteTooltip.js
hsbwiki             MediaWiki:Gadget-Direct-link-to-Commons.js
kawiki              MediaWiki:Gadget-directLinkToCommons.js
kowiki              MediaWiki:Gadget-direct-commons.js
lezwiki             MediaWiki:Gadget-directLinkToCommons.js
lvwiki              MediaWiki:Gadget-directLinkToCommons.js
nlwiki              MediaWiki:Gadget-Direct-link-to-Commons.js
plwiki              MediaWiki:Gadget-Direct-link-to-Commons.js
ptwiki              MediaWiki:Gadget-APC.js/Core.js
ptwiki              MediaWiki:Gadget-Direct-link-to-Commons.js
ptwiki              MediaWiki:Gadget-antivandaltool.js
ptwiki              MediaWiki:Gadget-desambiguacoes.js
test2wiki           MediaWiki:Gadget-imagelinks.js
thwiki              MediaWiki:Gadget-imagelinks.js
trwiki              MediaWiki:Gadget-imagelinks.js
udmwiki             MediaWiki:Gadget-directLinkToCommons.js
ukwiki              MediaWiki:Gadget-ReplaceImgs.js
ukwiki              MediaWiki:Gadget-libWikiDOM.js
ukwiki              MediaWiki:ImprovedEditTools/SearchAndReplace.js

Event Timeline

Drongou created this task.Jun 23 2015, 12:05 PM
Drongou raised the priority of this task from to Needs Triage.
Drongou updated the task description. (Show Details)
Drongou added a project: VisualEditor.
Drongou added a subscriber: Drongou.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2015, 12:05 PM

And probably some other wikis:

eswiki MediaWiki:Common.js
kabwiki MediaWiki:Common.js
krcwiki MediaWiki:Common.js

Krenair renamed this task from Visualeditor is dead on WP/fr , Progress bar bar stopped at 75% to JavaScript is broken on frwiki, eswiki, kabwiki, krcwiki.Jun 23 2015, 12:25 PM
Krenair set Security to None.
Trizek-WMF triaged this task as Unbreak Now! priority.Jun 23 2015, 12:25 PM

Yes, VE works on frwiki, thanks!

Krenair added a comment.EditedJun 23 2015, 12:42 PM

Same on eswiki, kabwiki, krcwiki, etc.
Other places that may or may not be affected, let me know if any of them are:
Edit: Moved to the description

Krenair renamed this task from JavaScript is broken on frwiki, eswiki, kabwiki, krcwiki to JavaScript is broken on various wikis.Jun 23 2015, 2:05 PM
Krenair added a subscriber: 2526.
Krenair updated the task description. (Show Details)Jun 23 2015, 2:09 PM
Krenair added a project: VisualEditor.
Aklapper added a subscriber: greg.Jun 23 2015, 2:51 PM
2526 added a comment.Jun 23 2015, 3:25 PM

thanks, Bro krenair, from urduwikipedia

Krenair claimed this task.Jun 23 2015, 4:42 PM

I'll check the rest of these later

Krenair updated the task description. (Show Details)Jun 23 2015, 6:17 PM
ori added a comment.Jun 23 2015, 6:21 PM

This was a major fuck-up on my part. I am sorry about that, and will look into any leftover changes that need to be reverted. I will also post a postmortem to the operations list and to Wikitech. Thank you Krenair for fixing this.

Krenair closed this task as Resolved.Jun 23 2015, 6:22 PM
Aklapper renamed this task from JavaScript is broken on various wikis to JavaScript is broken on various wikis (after replacing deprecated escapeRE with mw.RegExp).Jun 26 2015, 9:30 AM
Info-farmer added a subscriber: Info-farmer.EditedJul 1 2015, 5:49 AM

https://ta.wikipedia.org/s/3t2z ta.wikpedia upload wizard's java script is also broken. The wizard do not appearing to upload.

@Info-farmer: For that "File Upload Wizard" JS error about $.isDomElement is not a function, please see https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_%28technical%29&oldid=669445498#File_upload_wizard_broken instead. Thanks!